Bug 978010 - Review Request: perl-Wx-GLCanvas - Interface to wxWidgets' OpenGL canvas
Review Request: perl-Wx-GLCanvas - Interface to wxWidgets' OpenGL canvas
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 15:31 EDT by Miro Hrončok
Modified: 2013-08-01 23:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Wx-GLCanvas-0.09-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-06-25 15:31:15 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Wx-GLCanvas.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Wx-GLCanvas-0.09-1.fc18.src.rpm

Description: A wrapper for wxWidgets' wxGLCanvas, used to display OpenGL graphics.

Fedora Account System Username: churchyard
Comment 1 Petr Šabata 2013-06-26 10:06:19 EDT
Ok, the deps are all wrong :)

What you actually need to BR:
perl, perl(Exporter), perl(lib), perl(strict), perl(Wx::build::MakeMaker), and wxGTK-devel

ExtUtils::MakeMaker is only used if Wx::build::MakeMaker is not present.
Alien::wxWidgets and Wx are not required for build in your case.


I don't understand how the package builds without the wx/* files since they're all included in GLCanvas.xs.  Could you explain that?  Also, why do you remove the directory?


You'll need to buildrequire many more modules in the %{?with_tests} conditional block:
perl(base), lib/Wx/GLCanvas.pm:17
perl(Test::More), t/zz_pod.t:4
perl(Wx), lib/Wx/GLCanvas.pm:16
perl(Wx::ScrolledWindow), lib/Wx/GLCanvas.pm:17

Protip: You could use Test::NeedsDisplay to provide an Xvfb display for the tests, running them everywhere, every time.
https://metacpan.org/module/ADAMK/Test-NeedsDisplay-1.07/lib/Test/NeedsDisplay.pm
Comment 2 Miro Hrončok 2013-06-27 10:09:16 EDT
Sorry for the messed deps.

Thanks for the protip.

wx dir contains bundled things, that should be included from /usr/include/wx-2.8/wx (see  -I/usr/include/wx-2.8 in spec).
Comment 3 Miro Hrončok 2013-07-18 11:20:11 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Wx-GLCanvas.spec
SRPM URL: http://churchyard.fedorapeople.org/SRPMS/perl-Wx-GLCanvas-0.09-2.fc19.src.rpm

I've redone BRs. The protip with Test::NeedsDisplay destroys the package. It forces the installation to use /usr/local
Comment 4 Petr Šabata 2013-07-20 14:31:57 EDT
Alright, I'm going to approve this.

However, drop the Test::NeedsDisplay and xorg-x11-server-Xvfb dependencies if they don't work for you before you push this.
Comment 5 Miro Hrončok 2013-07-20 17:12:47 EDT
Of course, I forgot to do that. Thanks
Comment 6 Miro Hrončok 2013-07-20 17:14:04 EDT
New Package SCM Request
=======================
Package Name: perl-Wx-GLCanvas
Short Description: Interface to wxWidgets' OpenGL canvas
Owners: churchyard
Branches: f18 f19
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2013-07-22 06:01:31 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-07-22 12:11:23 EDT
perl-Wx-GLCanvas-0.09-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Wx-GLCanvas-0.09-2.fc19
Comment 9 Fedora Update System 2013-07-22 12:13:03 EDT
perl-Wx-GLCanvas-0.09-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Wx-GLCanvas-0.09-2.fc18
Comment 10 Fedora Update System 2013-07-23 23:44:01 EDT
perl-Wx-GLCanvas-0.09-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-08-01 23:40:45 EDT
perl-Wx-GLCanvas-0.09-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-08-01 23:52:21 EDT
perl-Wx-GLCanvas-0.09-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.